Subject: Re: bug#44080: 27.1; Display behavior of overlays `after-string` in resizable minibuffer frames

From: Clemens <[email-masked]>
Date: Tue, 20 Oct 2020 11:27:17 +0200

> Indeed.  'fit-frame-to-buffer' strips empty spaces at the beginning and
> end of the buffer - it's aim is to make the frame occupy as little of
> screen space as possible.  If 'resize-mini-frames' should handle
> peculiarities as such display strings, it's probably better to write a
> tailored function that handles them by calling 'window-text-pixel-size'
> with the appropriate arguments.
> 
> But we can change the default behavior as well, or provide an appropriate
> option.

To give some context, the current behavior is a problem for completion 
frameworks which want to display a vertical list of candidates in the 
minibuffer. They need to use an overlay so the candidates aren't 
considered part of the minibuffer-contents which is expected to only 
contain the current user input.